org.apache.tomcat.websocket

## Class WsFrameClient

- java.lang.Object
- - org.apache.tomcat.websocket.WsFrameBase
  - - org.apache.tomcat.websocket.WsFrameClient

-     public class WsFrameClient
      extends WsFrameBase

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.WsFrameBase

      `inputBuffer, writePos, wsSession`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsFrameClient(ByteBuffer response, AsyncChannelWrapper channel, WsSession wsSession, Transformation transformation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Log` | `getLog()`
    `protected boolean` | `isMasked()`

    - ### Methods inherited from class org.apache.tomcat.websocket.WsFrameBase

      `byteArrayToLong, getTransformation, isOpen, processInputBuffer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsFrameClient

          public WsFrameClient(ByteBuffer response,
                       AsyncChannelWrapper channel,
                       WsSession wsSession,
                       Transformation transformation)

  - ### Method Detail

    - #### isMasked

          protected boolean isMasked()

      Specified by:
        `isMasked` in class `WsFrameBase`

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `WsFrameBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.